> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Tìm kiếm sự kiện



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /events/search
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /events/search:
    get:
      tags:
        - Events
      summary: Tìm kiếm sự kiện
      operationId: Events_Search
      parameters:
        - name: symbol
          in: query
          description: Từ khóa tìm kiếm
          required: false
          schema:
            type: string
        - name: orderBy
          in: query
          description: >-
            Sắp xêp theo: 1: ngày KHQ (mặc định), 2: ngày chốt DS, 3: ngày thực
            hiện
          required: false
          schema:
            format: int32
            type: integer
        - name: type
          in: query
          description: >-
            Loại sự kiện: 1: Cổ tức bằng tiền, 2: cổ tức bằng cổ phiếu, 3: Phát
            hành cổ phiếu cho CĐHH, 0: tất cả các loại sự kiện (mặc định) (0 =
            None, 1 = CashDividend, 2 = StockDiviđen, 3 = RightsIssue)
          required: false
          schema:
            enum:
              - 0
              - 1
              - 2
              - 3
            type: integer
            format: int32
        - name: startDate
          in: query
          description: Ngày bắt đầu (Mặc địch là Ngày hiện tại)
          required: false
          schema:
            format: date-time
            type: string
        - name: endDate
          in: query
          description: Ngày kết thúc (Mặc địch là Ngày hiện tại)
          required: false
          schema:
            format: date-time
            type: string
        - name: offset
          in: query
          description: Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
          required: false
          schema:
            format: int32
            type: integer
        - name: limit
          in: query
          description: Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.Institutions.CompanyEvent
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.Institutions.CompanyEvent
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - symbols-read
components:
  schemas:
    FireAnt.Api.Models.Institutions.CompanyEvent:
      type: object
      properties:
        eventID:
          format: int32
          type: integer
        symbol:
          type: string
        name:
          type: string
        title:
          type: string
        recordDate:
          format: date-time
          type: string
        registrationDate:
          format: date-time
          type: string
        executionDate:
          format: date-time
          type: string
        type:
          format: int32
          description: ' (0 = None, 1 = CashDividend, 2 = StockDiviđen, 3 = RightsIssue)'
          enum:
            - 0
            - 1
            - 2
            - 3
          type: integer
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.